org.apache.nutch.protocol.htmlunit

## Class HttpResponse

- java.lang.Object
- - org.apache.nutch.protocol.htmlunit.HttpResponse

- All Implemented Interfaces:
    HttpHeaders, Response

      public class HttpResponse
      extends Object
      implements Response

  An HTTP response.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HttpResponse.Scheme`

    - ### Nested classes/interfaces inherited from interface org.apache.nutch.net.protocols.Response

      `Response.TruncatedContentReason`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.net.protocols.Response

      `FETCH_TIME, IP_ADDRESS, REQUEST, RESPONSE_HEADERS, TRUNCATED_CONTENT, TRUNCATED_CONTENT_REASON`

    - ### Fields inherited from interface org.apache.nutch.metadata.HttpHeaders

      `CLIENT_TRANSFER_ENCODING, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_MD5, CONTENT_TYPE, IF_MODIFIED_SINCE, LAST_MODIFIED, LOCATION, TRANSFER_ENCODING, USER_AGENT, WRITABLE_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpResponse(HttpBase http, URL url, CrawlDatum datum)` Default public constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Returns the response code.
    `byte[]` | `getContent()` Returns the full content of the response.
    `String` | `getHeader(String name)` Returns the value of a named header.
    `Metadata` | `getHeaders()` Returns all the headers.
    `URL` | `getUrl()` Returns the URL used to retrieve this response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpResponse

          public HttpResponse(HttpBase http,
                              URL url,
                              CrawlDatum datum)
                       throws ProtocolException,
                              IOException

      Default public constructor.
      Parameters:
        `http` -
        `url` -
        `datum` -
      Throws:
        `ProtocolException`
        `IOException`

  - ### Method Detail

    - #### getUrl

          public URL getUrl()

      Description copied from interface: `Response`
      Returns the URL used to retrieve this response.
      Specified by:
        `getUrl` in interface `Response`

    - #### getCode

          public int getCode()

      Description copied from interface: `Response`
      Returns the response code.
      Specified by:
        `getCode` in interface `Response`

    - #### getHeader

          public String getHeader(String name)

      Description copied from interface: `Response`
      Returns the value of a named header.
      Specified by:
        `getHeader` in interface `Response`

    - #### getHeaders

          public Metadata getHeaders()

      Description copied from interface: `Response`
      Returns all the headers.
      Specified by:
        `getHeaders` in interface `Response`

    - #### getContent

          public byte[] getContent()

      Description copied from interface: `Response`
      Returns the full content of the response.
      Specified by:
        `getContent` in interface `Response`

Copyright © 2020 The Apache Software Foundation